## obs-advanced-scene-switcher 1.17.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELWITHDEBINFO)
endif()

# Compiler settings
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(CMAKE_COMPILER_IS_GNUCC
   OR CMAKE_COMPILER_IS_GNUCXX
   OR CMAKE_COMPILER_IS_CLANG)
  set(CMAKE_CXX_FLAGS
      "-Wall -Wextra -Wvla -Wno-unused-function -Wno-missing-field-initializers ${CMAKE_CXX_FLAGS} -fno-strict-aliasing"
  )
  set(CMAKE_C_FLAGS
      "-Wall -Wextra -Wvla -Wno-unused-function -Werror-implicit-function-declaration -Wno-missing-braces -Wno-missing-field-initializers ${CMAKE_C_FLAGS} -std=gnu99 -fno-strict-aliasing"
  )

  option(USE_LIBC++ "Use libc++ instead of libstdc++" ${APPLE})
  if(USE_LIBC++)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
  endif()
elseif(MSVC)
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()

  # Disable pointless constant condition warnings
  set(CMAKE_CXX_FLAGS
      "${CMAKE_CXX_FLAGS} /wd4127 /wd4201 /wd4456 /wd4457 /wd4458 /wd4459 /wd4595"
  )
  add_definitions(-DUNICODE -D_UNICODE -D_CRT_SECURE_NO_WARNINGS
                  -D_CRT_NONSTDC_NO_WARNINGS)
endif()

# Generate version info
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")
include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)
git_describe(GIT_TAG)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/version.cpp.in"
               "${CMAKE_CURRENT_BINARY_DIR}/src/version.cpp" @ONLY)

# Windows installer
if(WIN32)
  get_filename_component(ISS_PLUGIN_FILES_DIR
                         "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
  file(TO_NATIVE_PATH "${ISS_PLUGIN_FILES_DIR}" ISS_PLUGIN_FILES_DIR)
  get_filename_component(ISS_MSVC_REDIST_HELPER_DIR "${CMAKE_BINARY_DIR}\\.."
                         ABSOLUTE)
  file(TO_NATIVE_PATH "${ISS_MSVC_REDIST_HELPER_DIR}"
       ISS_MSVC_REDIST_HELPER_DIR)
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/CI/windows/setup.iss.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/CI/windows/setup.iss" @ONLY)
endif()

# Out of tree specific settings
if(BUILD_OUT_OF_TREE)
  set(CMAKE_PREFIX_PATH "${QTDIR}")
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(LibObs)
  find_package(LibObs-frontend-api)
  if(LibObs_FOUND)
    set(LIBOBS_LIB ${LIBOBS_LIBRARIES})
    set(LIBOBS_INCLUDE_DIR ${LIBOBS_INCLUDE_DIRS})
  endif()
  if(LibObs-frontend-api_FOUND)
    set(LIBOBS_FRONTEND_API_LIB ${LIBOBS-FRONTEND-API_LIBRARIES})
    set(LIBOBS_FRONTEND_INCLUDE_DIR ${LIBOBS-FRONTEND-API_INCLUDE_DIR})
  endif()

  if(NOT LIBOBS_LIB)
    message(FATAL_ERROR "obs library not found - please set LIBOBS_LIB")
  endif()
  if(NOT LIBOBS_FRONTEND_API_LIB)
    message(
      FATAL_ERROR
        "libobs frontend-api library not found - please set LIBOBS_FRONTEND_API_LIB"
    )
  endif()
  if(NOT LIBOBS_INCLUDE_DIR)
    message(
      FATAL_ERROR "obs.hpp header not found - please set LIBOBS_INCLUDE_DIR")
  endif()
  if(NOT LIBOBS_FRONTEND_INCLUDE_DIR)
    message(
      FATAL_ERROR
        " obs-frontend-api.h not found - please set LIBOBS_FRONTEND_INCLUDE_DIR"
    )
  endif()

  include_directories("${LIBOBS_INCLUDE_DIR}" "${LIBOBS_FRONTEND_INCLUDE_DIR}"
                      ${Qt5Core_INCLUDES} ${Qt5Widgets_INCLUDES})

  find_package(CURL REQUIRED)
  include_directories("${CURL_INCLUDE_DIRS}")
else()
  find_package(Libcurl REQUIRED)
  include_directories("${LIBCURL_INCLUDE_DIRS}")
  add_definitions(-DVCAM_SUPPORTED)
  add_definitions(-DREPLAYBUFFER_SUPPORTED)
endif()

# Platform specific settings
if(APPLE)
  set(CMAKE_SHARED_LIBRARY_SUFFIX ".so")
  find_library(COCOA Cocoa)
  if(BUILD_OUT_OF_TREE)
    find_package(Qt5MacExtras REQUIRED)
  endif()
  include_directories(${COCOA})
endif()

if(UNIX AND NOT APPLE)
  find_package(X11 REQUIRED COMPONENTS Xtst Xss)
  find_path(PROCPS_INCLUDE_DIR NAMES proc/procps.h)
  if(NOT PROCPS_INCLUDE_DIR)
    message(
      FATAL_ERROR "procps include dir not found - please set PROCPS_INCLUDE_DIR"
    )
  endif()
  find_library(PROCPS_LIBRARY NAMES procps)
  if(NOT PROCPS_LIBRARY)
    message(FATAL_ERROR "procps lib not found - please set PROCPS_LIBRARY")
  endif()
  link_libraries(${X11_LIBRARIES} ${procps_LIBRARIES})
  include_directories("${X11_INCLUDE_DIR}" "${X11_Xtst_INCLUDE_PATH}"
                      "${X11_Xss_INCLUDE_PATH}" "${PROCPS_INCLUDE_DIR}")
endif()

if(WIN32)
  set(advanced-scene-switcher_PLATFORM_SOURCES
      src/win/advanced-scene-switcher-win.cpp)
elseif(APPLE)
  set(advanced-scene-switcher_PLATFORM_SOURCES
      src/osx/advanced-scene-switcher-osx.mm)
  set_source_files_properties(advanced-scene-switcher-osx.mm
                              PROPERTIES COMPILE_FLAGS "-fobjc-arc")
  set(advanced-scene-switcher_PLATFORM_LIBS ${COCOA})
else()
  set(advanced-scene-switcher_PLATFORM_SOURCES
      src/linux/advanced-scene-switcher-nix.cpp)
  set(advanced-scene-switcher_PLATFORM_LIBS Xss ${PROCPS_LIBRARY})
endif()

# asio and websocketpp
add_definitions(-DASIO_STANDALONE)
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/deps/asio/asio/include"
                    "${CMAKE_CURRENT_SOURCE_DIR}/deps/websocketpp")
if(WIN32)
  add_definitions(-D_WEBSOCKETPP_CPP11_STL_)
endif()

# Setup QT tools
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOUIC_SEARCH_PATHS "${CMAKE_CURRENT_SOURCE_DIR}/forms")
set(advanced-scene-switcher_UI ${advanced-scene-switcher_UI}
                               forms/advanced-scene-switcher.ui)
qt5_wrap_ui(advanced-scene-switcher_UI_HEADERS ${advanced-scene-switcher_UI}
            ${advanced-scene-switcher_PLATFORM_UI})

# The plugin sources
set(advanced-scene-switcher_HEADERS
    ${advanced-scene-switcher_HEADERS}
    src/headers/advanced-scene-switcher.hpp
    src/headers/switcher-data-structs.hpp
    src/headers/scene-group.hpp
    src/headers/scene-trigger.hpp
    src/headers/switch-audio.hpp
    src/headers/switch-executable.hpp
    src/headers/switch-file.hpp
    src/headers/switch-idle.hpp
    src/headers/switch-media.hpp
    src/headers/switch-network.hpp
    src/headers/switch-pause.hpp
    src/headers/switch-random.hpp
    src/headers/switch-screen-region.hpp
    src/headers/switch-time.hpp
    src/headers/switch-transitions.hpp
    src/headers/switch-window.hpp
    src/headers/switch-sequence.hpp
    src/headers/switch-video.hpp
    src/headers/switch-generic.hpp
    src/headers/macro-action-edit.hpp
    src/headers/macro-action-audio.hpp
    src/headers/macro-action-file.hpp
    src/headers/macro-action-filter.hpp
    src/headers/macro-action-hotkey.hpp
    src/headers/macro-action-macro.hpp
    src/headers/macro-action-media.hpp
    src/headers/macro-action-plugin-state.hpp
    src/headers/macro-action-preview-scene.hpp
    src/headers/macro-action-profile.hpp
    src/headers/macro-action-random.hpp
    src/headers/macro-action-recording.hpp
    src/headers/macro-action-replay-buffer.hpp
    src/headers/macro-action-run.hpp
    src/headers/macro-action-scene-collection.hpp
    src/headers/macro-action-scene-order.hpp
    src/headers/macro-action-scene-swap.hpp
    src/headers/macro-action-scene-switch.hpp
    src/headers/macro-action-scene-transform.hpp
    src/headers/macro-action-scene-visibility.hpp
    src/headers/macro-action-screenshot.hpp
    src/headers/macro-action-sequence.hpp
    src/headers/macro-action-source.hpp
    src/headers/macro-action-streaming.hpp
    src/headers/macro-action-systray.hpp
    src/headers/macro-action-timer.hpp
    src/headers/macro-action-transition.hpp
    src/headers/macro-action-virtual-cam.hpp
    src/headers/macro-action-wait.hpp
    src/headers/macro-condition-edit.hpp
    src/headers/macro-condition-audio.hpp
    src/headers/macro-condition-cursor.hpp
    src/headers/macro-condition-date.hpp
    src/headers/macro-condition-file.hpp
    src/headers/macro-condition-filter.hpp
    src/headers/macro-condition-hotkey.hpp
    src/headers/macro-condition-idle.hpp
    src/headers/macro-condition-macro.hpp
    src/headers/macro-condition-media.hpp
    src/headers/macro-condition-plugin-state.hpp
    src/headers/macro-condition-process.hpp
    src/headers/macro-condition-recording.hpp
    src/headers/macro-condition-replay-buffer.hpp
    src/headers/macro-condition-scene-order.hpp
    src/headers/macro-condition-scene-transform.hpp
    src/headers/macro-condition-scene-visibility.hpp
    src/headers/macro-condition-scene.hpp
    src/headers/macro-condition-source.hpp
    src/headers/macro-condition-streaming.hpp
    src/headers/macro-condition-studio-mode.hpp
    src/headers/macro-condition-timer.hpp
    src/headers/macro-condition-transition.hpp
    src/headers/macro-condition-virtual-cam.hpp
    src/headers/macro-condition-window.hpp
    src/headers/macro.hpp
    src/headers/macro-controls.hpp
    src/headers/macro-segment.hpp
    src/headers/macro-selection.hpp
    src/headers/curl-helper.hpp
    src/headers/hotkey.hpp
    src/headers/scene-item-selection.hpp
    src/headers/scene-selection.hpp
    src/headers/screenshot-helper.hpp
    src/headers/transition-selection.hpp
    src/headers/name-dialog.hpp
    src/headers/duration-control.hpp
    src/headers/file-selection.hpp
    src/headers/section.hpp
    src/headers/status-control.hpp
    src/headers/platform-funcs.hpp
    src/headers/utility.hpp
    src/headers/volume-control.hpp
    src/headers/version.h)

set(advanced-scene-switcher_SOURCES
    ${advanced-scene-switcher_SOURCES}
    src/advanced-scene-switcher.cpp
    src/advanced-scene-switcher-module.c
    src/switcher-data-structs.cpp
    src/scene-group.cpp
    src/scene-trigger.cpp
    src/switch-transitions.cpp
    src/switch-screen-region.cpp
    src/switch-priority.cpp
    src/switch-executable.cpp
    src/switch-idle.cpp
    src/switch-sequence.cpp
    src/switch-file.cpp
    src/switch-window.cpp
    src/switch-media.cpp
    src/switch-network.cpp
    src/file-selection.cpp
    src/hotkey.cpp
    src/general.cpp
    src/switch-pause.cpp
    src/switch-random.cpp
    src/switch-time.cpp
    src/switch-audio.cpp
    src/switch-video.cpp
    src/switch-generic.cpp
    src/macro-action-edit.cpp
    src/macro-action-audio.cpp
    src/macro-action-file.cpp
    src/macro-action-filter.cpp
    src/macro-action-hotkey.cpp
    src/macro-action-macro.cpp
    src/macro-action-media.cpp
    src/macro-action-plugin-state.cpp
    src/macro-action-preview-scene.cpp
    src/macro-action-profile.cpp
    src/macro-action-random.cpp
    src/macro-action-recording.cpp
    src/macro-action-replay-buffer.cpp
    src/macro-action-run.cpp
    src/macro-action-scene-collection.cpp
    src/macro-action-scene-order.cpp
    src/macro-action-scene-swap.cpp
    src/macro-action-scene-switch.cpp
    src/macro-action-scene-transform.cpp
    src/macro-action-scene-visibility.cpp
    src/macro-action-screenshot.cpp
    src/macro-action-sequence.cpp
    src/macro-action-source.cpp
    src/macro-action-streaming.cpp
    src/macro-action-systray.cpp
    src/macro-action-timer.cpp
    src/macro-action-transition.cpp
    src/macro-action-virtual-cam.cpp
    src/macro-action-wait.cpp
    src/macro-condition-edit.cpp
    src/macro-condition-audio.cpp
    src/macro-condition-cursor.cpp
    src/macro-condition-date.cpp
    src/macro-condition-file.cpp
    src/macro-condition-filter.cpp
    src/macro-condition-hotkey.cpp
    src/macro-condition-idle.cpp
    src/macro-condition-macro.cpp
    src/macro-condition-media.cpp
    src/macro-condition-plugin-state.cpp
    src/macro-condition-process.cpp
    src/macro-condition-recording.cpp
    src/macro-condition-replay-buffer.cpp
    src/macro-condition-scene-order.cpp
    src/macro-condition-scene-transform.cpp
    src/macro-condition-scene-visibility.cpp
    src/macro-condition-scene.cpp

=== src/external-macro-modules/CMakeLists.txt ===
# Helper function to install plugins to correct location
function(install_advss_plugin target)
  set(plugin_folder "adv-ss-plugins")
  if(APPLE)
    set(_bit_suffix "")
  elseif(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(_bit_suffix "64bit/")
  else()
    set(_bit_suffix "32bit/")
  endif()

  set_target_properties(${target} PROPERTIES PREFIX "")

  install(
    TARGETS ${target}
    LIBRARY DESTINATION "${OBS_PLUGIN_DESTINATION}/${plugin_folder}"
    RUNTIME DESTINATION "${OBS_PLUGIN_DESTINATION}/${plugin_folder}")
  add_custom_command(
    TARGET ${target}
    POST_BUILD
    COMMAND
      "${CMAKE_COMMAND}" -E copy "$<TARGET_FILE:${target}>"
      "${OBS_OUTPUT_DIR}/$<CONFIGURATION>/obs-plugins/${_bit_suffix}/${plugin_folder}/$<TARGET_FILE_NAME:${target}>"
    VERBATIM)

  if(DEFINED ENV{obsInstallerTempDir})
    add_custom_command(
      TARGET ${target}
      POST_BUILD
      COMMAND
        "${CMAKE_COMMAND}" -E copy "$<TARGET_FILE:${target}>"
        "$ENV{obsInstallerTempDir}/${OBS_PLUGIN_DESTINATION}/${plugin_folder}/$<TARGET_FILE_NAME:${target}>"
      VERBATIM)
  endif()

  if(MSVC)
    obs_debug_copy_helper(
      ${target}
      "${OBS_OUTPUT_DIR}/$<CONFIGURATION>/obs-plugins/${_bit_suffix}/${plugin_folder}"
    )

    if(DEFINED ENV{obsInstallerTempDir})
      obs_debug_copy_helper(
        ${target}
        "$ENV{obsInstallerTempDir}/${OBS_PLUGIN_DESTINATION}/${plugin_folder}")
    endif()

    install(
      DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/pdbs/"
      DESTINATION "${OBS_PLUGIN_DESTINATION}/${plugin_folder}"
      CONFIGURATIONS Debug RelWithDebInfo)
  endif()
endfunction()

# Add macro conditions or actions which have dependencies to external libraries
# or other components which might potentially not be fulfilled by the user and
# thus cause issues.
add_subdirectory(opencv)
add_subdirectory(openvr)

=== src/external-macro-modules/opencv/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-opencv)

add_definitions(-DADVSS_MODULE)

find_package(OpenCV)
if(OpenCV_FOUND)
  include_directories("${OpenCV_INCLUDE_DIRS}")
else()
  set(OpenCV_LIBRARIES "")
  message(
    WARNING
      "OpenCV not found! Functionality relying on OpenCV will be disabled!\nOpenCV sources are available under: ${CMAKE_CURRENT_SOURCE_DIR}/deps/opencv"
  )
  return()
endif()

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../../headers")
set(module_SOURCES macro-condition-video.cpp macro-condition-video.hpp)
add_library(advanced-scene-switcher-opencv MODULE ${module_SOURCES})

if(BUILD_OUT_OF_TREE)
  target_link_libraries(
    advanced-scene-switcher-opencv
    advanced-scene-switcher
    ${LIBOBS_LIB}
    ${LIBOBS_FRONTEND_API_LIB}
    ${OpenCV_LIBRARIES}
    Qt5::Core
    Qt5::Widgets)

  if(UNIX AND NOT APPLE)
    if(NOT LIB_OUT_DIR)
      set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    set_target_properties(advanced-scene-switcher-opencv PROPERTIES PREFIX "")
    install(
      TARGETS advanced-scene-switcher-opencv
      LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR}/adv-ss-plugins)
  endif()
else()
  target_link_libraries(
    advanced-scene-switcher-opencv
    advanced-scene-switcher
    obs-frontend-api
    ${OpenCV_LIBRARIES}
    Qt5::Core
    Qt5::Widgets
    libobs)
  install_advss_plugin(advanced-scene-switcher-opencv)
endif()

=== src/external-macro-modules/openvr/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(advanced-scene-switcher-openvr)

if(NOT WIN32)
  message(
    WARNING "OpenVR condition is only supported on Windows builds for now.")
  return()
endif(NOT WIN32)

add_definitions(-DADVSS_MODULE)

# openvr
if(NOT OpenVR_DIR)
  set(OpenVR_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../deps/openvr)
endif()

if(EXISTS ${OpenVR_DIR})
  set(SIZEOF_VOIDP ${CMAKE_SIZEOF_VOID_P})
  if((NOT APPLE) AND (CMAKE_SIZEOF_VOID_P EQUAL 8))
    set(PROCESSOR_ARCH "64")
  else()
    set(PROCESSOR_ARCH "32")
  endif()
  if(WIN32)
    set(PLATFORM_NAME "win")
  elseif(UNIX AND NOT APPLE)
    if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
      set(PLATFORM_NAME "linux")
    endif()
  elseif(APPLE)
    if(CMAKE_SYSTEM_NAME MATCHES ".*Darwin.*" OR CMAKE_SYSTEM_NAME MATCHES
                                                 ".*MacOS.*")
      set(PLATFORM_NAME "osx")
    endif()
  endif()
  set(OpenVR_INCLUDE_DIRS ${OpenVR_DIR}/headers)
  set(OpenVR_BINARIES
      ${OpenVR_DIR}/bin/${PLATFORM_NAME}${PROCESSOR_ARCH}/${CMAKE_SHARED_LIBRARY_PREFIX}openvr_api${CMAKE_SHARED_LIBRARY_SUFFIX}
  )
  set(OpenVR_LIBRARIES
      ${OpenVR_DIR}/lib/${PLATFORM_NAME}${PROCESSOR_ARCH}/${CMAKE_SHARED_LIBRARY_PREFIX}openvr_api${CMAKE_IMPORT_LIBRARY_SUFFIX}
  )
  set(OpenVR_FOUND TRUE)
endif()

if(OpenVR_FOUND)
  include_directories("${OpenVR_INCLUDE_DIRS}")
else()
  set(OpenVR_LIBRARIES "")
  message(
    WARNING
      "OpenVR not found! Functionality relying on OpenVR will be disabled!\nOpenVR sources are available under: ${CMAKE_CURRENT_SOURCE_DIR}/deps/openvr"
      return
      ())
endif()

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../../headers")
set(module_SOURCES macro-condition-openvr.cpp macro-condition-openvr.hpp)
add_library(advanced-scene-switcher-openvr MODULE ${module_SOURCES})

if(BUILD_OUT_OF_TREE)
  target_link_libraries(
    advanced-scene-switcher-openvr
    advanced-scene-switcher
    ${LIBOBS_LIB}
    ${LIBOBS_FRONTEND_API_LIB}
    ${OpenVR_LIBRARIES}
    Qt5::Core
    Qt5::Widgets)

  if(UNIX AND NOT APPLE)
    if(NOT LIB_OUT_DIR)
      set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    set_target_properties(advanced-scene-switcher-openvr PROPERTIES PREFIX "")
    install(
      TARGETS advanced-scene-switcher-openvr
      LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR}/adv-ss-plugins)
  endif()
else()
  target_link_libraries(
    advanced-scene-switcher-openvr
    advanced-scene-switcher
    obs-frontend-api
    ${OpenVR_LIBRARIES}
    Qt5::Core
    Qt5::Widgets
    libobs)
  install_advss_plugin(advanced-scene-switcher-openvr)
endif()

=== debian/changelog ===
obs-advanced-scene-switcher (1.17.2-1) unstable; urgency=medium

  * New upstream version 1.17.2.
  * debian/copyright: updated upstream copyright years.
  * debian/salsa-ci.yml: added allow_failure to reprotest until the issue
    isn't solved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Feb 2022 17:22:42 -0300

obs-advanced-scene-switcher (1.16.5-2) unstable; urgency=medium

  * Using variables to improve and standardize the building and CI test.
    Consequently, updated the following files:
      - debian/rules
      - debian/tests/control
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Jan 2022 21:45:42 -0300

obs-advanced-scene-switcher (1.16.5-1) unstable; urgency=medium

  * New upstream version 1.16.5.
  * debian/control:
      - Added a relationship for libobs-dev.
      - Removed a digit from Standards-Version.
  * debian/tests/*: added to provide a trivial CI test. The current test checks
    if the lib loads.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Dec 2021 18:06:42 -0300

obs-advanced-scene-switcher (1.16.4-1) unstable; urgency=medium

  * New upstream version 1.16.4.
  * debian/control:
      - Set obs-advanced-scene-switcher as 'Multi-Arch: same'.
      - Set obs-advanced-scene-switcher-data as 'Multi-Arch: foreign'.
  * debian/source/lintian-overrides: updated to match with translations.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Nov 2021 16:31:11 -0300

obs-advanced-scene-switcher (1.16.3-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added Breaks and Replaces to
    obs-advanced-scene-switcher-data to allow a perfect migration from
    revisions lower than 1.16.3-1.
  * debian/copyright: changed packaging licencing to BSD-3-Clause.
  * debian/rules: changed target from execute_after_dh_install to
    execute_after_dh_install-arch to fix independent binary packages build.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Nov 2021 15:04:02 -0300

obs-advanced-scene-switcher (1.16.3-1) experimental; urgency=medium

  * New upstream version 1.16.3.
  * Split the code in two Debian binaries. Consequently:
      - debian/control: added a new stanza for the new binary.
      - debian/obs-advanced-scene-switcher.install: created to install the
        plugin.
      - debian/obs-advanced-scene-switcher-data.install: created to install
        the architecture-independent files.
  * debian/control: added libopencv-dev and libprocps-dev to Build-Depends
    field.
  * debian/copyright: added a new block for data/res/cascadeClassifiers/*.xml.
  * debian/source/lintian-overrides: updated an override line about en-US
    translation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 10 Nov 2021 17:59:17 -0300

obs-advanced-scene-switcher (1.15.3+git20210913.25cf51a-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Added obs-studio to Depends field.
      - Created Enhances field.
      - Fixed a word in long description.
      - Fixed VCS fields.
  * debian/rules: added the target execute_after_dh_install to check if the
    plugin is installed in right place.
  * debian/source/lintian-overrides: created to override messages because the
    target files are translations for other languages in pure text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Nov 2021 15:52:36 -0300

obs-advanced-scene-switcher (1.15.3+git20210913.25cf51a-1) experimental; urgency=medium

  * Initial release. (Closes: #994154)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Sep 2021 17:07:37 -0300

=== debian/control ===
Source: obs-advanced-scene-switcher
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasio-dev,
               libcurl4-openssl-dev,
               libobs-dev (>= 25.0.3),
               libopencv-dev,
               libprocps-dev,
               libxss-dev,
               libxtst-dev,
               libwebsocketpp-dev,
               qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/advanced-scene-switcher.395/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-scene-switcher
Vcs-Git: https://salsa.debian.org/debian/obs-advanced-scene-switcher.git

Package: obs-advanced-scene-switcher
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         obs-advanced-scene-switcher-data (>= 1.16.3-1~),
         obs-studio (>= 25.0.3)
Enhances: obs-studio (>= 25.0.3)
Description: plugin for OBS Studio to improve the scene switching
 Advanced Scene Switcher plugin is based on the built-in Automatic Scene
 Switcher. It extends its functionality by adding the following:
 .
   - Audio based scene switching (Audio tab).
   - Media based scene switching (Media tab).
   - System time based scene switching (Time tab).
   - Sequence of automated scene switches (Scene Sequence tab).
   - Cursor position based scene switching (Region).
   - The option to switch to a scene after detection of being idle (Idle tab).
   - Executable based scene switching (Executable tab).
   - File content based scene switching (File).
   - Improvements for the window title based scene switching (full-screen /
     maximized detection, ignore windows).
   - The ability select a different transition for each automated switch case
     (Transitions tab).
   - Automatically pause the scene switcher based on scene or window title
     hotkey to start and stop the scene switcher.
   - Trigger actions on scene change.
   - and more ...
 .
 This plugin is compatible with OBS 25 or higher.

Package: obs-advanced-scene-switcher-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: obs-studio (>= 25.0.3)
Breaks: obs-advanced-scene-switcher (<< 1.16.1~)
Replaces: obs-advanced-scene-switcher (<< 1.16.1~)
Description: data package for obs-advanced-scene-switcher
 Advanced Scene Switcher plugin is based on the built-in
 Automatic Scene Switcher.
 .
 This package provides architecture-independent data for
 obs-advanced-scene-switcher.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=1 \
                             -DLIBOBS_INCLUDE_DIR=/usr/include/obs \
                             -DLIBOBS_LIB=/usr/lib/${DEB_TARGET_MULTIARCH}/libobs.so \
                             -DLIBOBS_FRONTEND_INCLUDE_DIR=/usr/include/obs \
                             -DLIBOBS_FRONTEND_API_LIB=/usr/lib/${DEB_TARGET_MULTIARCH}/libobs-frontend-api.so \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/$(PLUGIN_NAME)

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls $(PLUGIN_DEST)/$(PLUGIN_NAME).so

=== debian/watch ===
version=4
https://github.com/WarmUpTill/SceneSwitcher/releases .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-advanced-scene-switcher 1.17.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -107,6 +107,7 @@
   include_directories("${LIBCURL_INCLUDE_DIRS}")
   add_definitions(-DVCAM_SUPPORTED)
   add_definitions(-DREPLAYBUFFER_SUPPORTED)
+  add_definitions(-DVISIBILITY_TRANSITIONS_SUPPORTED)
 endif()
 
 # Platform specific settings
@@ -190,6 +191,7 @@
     src/headers/switch-sequence.hpp
     src/headers/switch-video.hpp
     src/headers/switch-generic.hpp
+    src/headers/macro-action.hpp
     src/headers/macro-action-edit.hpp
     src/headers/macro-action-audio.hpp
     src/headers/macro-action-file.hpp
@@ -198,7 +200,6 @@
     src/headers/macro-action-macro.hpp
     src/headers/macro-action-media.hpp
     src/headers/macro-action-plugin-state.hpp
-    src/headers/macro-action-preview-scene.hpp
     src/headers/macro-action-profile.hpp
     src/headers/macro-action-random.hpp
     src/headers/macro-action-recording.hpp
@@ -206,7 +207,6 @@
     src/headers/macro-action-run.hpp
     src/headers/macro-action-scene-collection.hpp
     src/headers/macro-action-scene-order.hpp
-    src/headers/macro-action-scene-swap.hpp
     src/headers/macro-action-scene-switch.hpp
     src/headers/macro-action-scene-transform.hpp
     src/headers/macro-action-scene-visibility.hpp
@@ -214,11 +214,13 @@
     src/headers/macro-action-sequence.hpp
     src/headers/macro-action-source.hpp
     src/headers/macro-action-streaming.hpp
+    src/headers/macro-action-studio-mode.hpp
     src/headers/macro-action-systray.hpp
     src/headers/macro-action-timer.hpp
     src/headers/macro-action-transition.hpp
     src/headers/macro-action-virtual-cam.hpp
     src/headers/macro-action-wait.hpp
+    src/headers/macro-condition.hpp
     src/headers/macro-condition-edit.hpp
     src/headers/macro-condition-audio.hpp
     src/headers/macro-condition-cursor.hpp
@@ -229,6 +231,7 @@
     src/headers/macro-condition-idle.hpp
     src/headers/macro-condition-macro.hpp
     src/headers/macro-condition-media.hpp
+    src/headers/macro-condition-obs-stats.hpp
     src/headers/macro-condition-plugin-state.hpp
     src/headers/macro-condition-process.hpp
     src/headers/macro-condition-recording.hpp
@@ -245,8 +248,11 @@
     src/headers/macro-condition-virtual-cam.hpp
     src/headers/macro-condition-window.hpp
     src/headers/macro.hpp
-    src/headers/macro-controls.hpp
+    src/headers/macro-ref.hpp
+    src/headers/macro-list-entry-widget.hpp
+    src/headers/macro-properties.hpp
     src/headers/macro-segment.hpp
+    src/headers/macro-segment-list.hpp
     src/headers/macro-selection.hpp
     src/headers/curl-helper.hpp
     src/headers/hotkey.hpp
@@ -260,6 +266,7 @@
     src/headers/section.hpp
     src/headers/status-control.hpp
     src/headers/platform-funcs.hpp
+    src/headers/resizing-text-edit.hpp
     src/headers/utility.hpp
     src/headers/volume-control.hpp
     src/headers/version.h)
@@ -290,6 +297,7 @@
     src/switch-audio.cpp
     src/switch-video.cpp
     src/switch-generic.cpp
+    src/macro-action.cpp
     src/macro-action-edit.cpp
     src/macro-action-audio.cpp
     src/macro-action-file.cpp
@@ -298,7 +306,6 @@
     src/macro-action-macro.cpp
     src/macro-action-media.cpp
     src/macro-action-plugin-state.cpp
-    src/macro-action-preview-scene.cpp
     src/macro-action-profile.cpp
     src/macro-action-random.cpp
     src/macro-action-recording.cpp
@@ -306,7 +313,6 @@
     src/macro-action-run.cpp
     src/macro-action-scene-collection.cpp
     src/macro-action-scene-order.cpp
-    src/macro-action-scene-swap.cpp
     src/macro-action-scene-switch.cpp
     src/macro-action-scene-transform.cpp
     src/macro-action-scene-visibility.cpp
@@ -314,11 +320,13 @@
     src/macro-action-sequence.cpp
     src/macro-action-source.cpp
     src/macro-action-streaming.cpp
+    src/macro-action-studio-mode.cpp
     src/macro-action-systray.cpp
     src/macro-action-timer.cpp
     src/macro-action-transition.cpp
     src/macro-action-virtual-cam.cpp
     src/macro-action-wait.cpp
+    src/macro-condition.cpp
     src/macro-condition-edit.cpp
     src/macro-condition-audio.cpp
     src/macro-condition-cursor.cpp
@@ -329,11 +337,3 @@
     src/macro-condition-idle.cpp
     src/macro-condition-macro.cpp
     src/macro-condition-media.cpp
-    src/macro-condition-plugin-state.cpp
-    src/macro-condition-process.cpp
-    src/macro-condition-recording.cpp
-    src/macro-condition-replay-buffer.cpp
-    src/macro-condition-scene-order.cpp
-    src/macro-condition-scene-transform.cpp
-    src/macro-condition-scene-visibility.cpp
-    src/macro-condition-scene.cpp

=== src/external-macro-modules/opencv/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,19 @@
 endif()
 
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../../headers")
-set(module_SOURCES macro-condition-video.cpp macro-condition-video.hpp)
+set(module_SOURCES
+    area-selection.cpp
+    area-selection.hpp
+    macro-condition-video.cpp
+    macro-condition-video.hpp
+    opencv-helpers.cpp
+    opencv-helpers.hpp
+    preview-dialog.cpp
+    preview-dialog.hpp
+    threshold-slider.cpp
+    threshold-slider.hpp
+    video-selection.cpp
+    video-selection.hpp)
 add_library(advanced-scene-switcher-opencv MODULE ${module_SOURCES})
 
 if(BUILD_OUT_OF_TREE)

=== debian/changelog ===
obs-advanced-scene-switcher (1.17.7-1build1) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:19:46 +0000

obs-advanced-scene-switcher (1.17.7-1) unstable; urgency=medium

  * New upstream version 1.17.7.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/source/lintian-overrides: updated to override each message about
    long lines in translations because lintian no longer supports regex.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jun 2022 08:20:48 -0300

obs-advanced-scene-switcher (1.17.5-1) unstable; urgency=medium

  * New upstream version 1.17.5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 Apr 2022 21:09:51 -0300

obs-advanced-scene-switcher (1.17.4-1) unstable; urgency=medium

  * New upstream version 1.17.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Mar 2022 15:45:52 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: obs-advanced-scene-switcher
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libasio-dev,
@@ -13,7 +14,7 @@
                libxtst-dev,
                libwebsocketpp-dev,
                qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://obsproject.com/forum/resources/advanced-scene-switcher.395/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/obs-advanced-scene-switcher
